Bug 1310591 - [abrt] sddm: _XDefaultIOError(): sddm-greeter killed by SIGSEGV
[abrt] sddm: _XDefaultIOError(): sddm-greeter killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:031e4005e9951e7b45c16c814e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 05:17 EST by Mustafa Muhammad
Modified: 2016-12-20 13:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.06 KB, text/plain)
2016-02-22 05:17 EST, Mustafa Muhammad
no flags Details
File: cgroup (290 bytes, text/plain)
2016-02-22 05:17 EST, Mustafa Muhammad
no flags Details
File: core_backtrace (7.08 KB, text/plain)
2016-02-22 05:17 EST, Mustafa Muhammad
no flags Details
File: dso_list (17.71 KB, text/plain)
2016-02-22 05:17 EST, Mustafa Muhammad
no flags Details
File: environ (464 bytes, text/plain)
2016-02-22 05:17 EST, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-22 05:17 EST, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-22 05:18 EST, Mustafa Muhammad
no flags Details
File: maps (87.26 KB, text/plain)
2016-02-22 05:18 EST, Mustafa Muhammad
no flags Details
File: mountinfo (3.51 KB, text/plain)
2016-02-22 05:18 EST, Mustafa Muhammad
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-22 05:18 EST, Mustafa Muhammad
no flags Details
File: open_fds (1.56 KB, text/plain)
2016-02-22 05:18 EST, Mustafa Muhammad
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2016-02-22 05:18 EST, Mustafa Muhammad
no flags Details
File: var_log_messages (4.56 KB, text/plain)
2016-02-22 05:18 EST, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2016-02-22 05:17:42 EST
Version-Release number of selected component:
sddm-0.13.0-4.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/sddm-greeter --socket /tmp/sddm-:0-xpdcud --theme /usr/share/sddm/themes/01-breeze-fedora
crash_function: _XDefaultIOError
executable:     /usr/bin/sddm-greeter
global_pid:     2532
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            989

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 _XDefaultIOError at XlibInt.c:1258
 #8 ioErrorHandler at qxcbconnection.cpp:140
 #9 _XIOError at XlibInt.c:1464
 #10 require_socket at xcb_io.c:70
 #11 _XFlush at xcb_io.c:511
 #12 _XGetRequest at XlibInt.c:1702
 #13 XFreePixmap at FreePix.c:39
 #14 CreatePbuffer at glx_pbuffer.c:615
 #15 glXCreatePbuffer at glx_pbuffer.c:763
 #16 QGLXPbuffer::QGLXPbuffer at qglxintegration.cpp:713
Comment 1 Mustafa Muhammad 2016-02-22 05:17:50 EST
Created attachment 1129211 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2016-02-22 05:17:52 EST
Created attachment 1129212 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2016-02-22 05:17:54 EST
Created attachment 1129213 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2016-02-22 05:17:56 EST
Created attachment 1129214 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2016-02-22 05:17:57 EST
Created attachment 1129215 [details]
File: environ
Comment 6 Mustafa Muhammad 2016-02-22 05:17:59 EST
Created attachment 1129216 [details]
File: exploitable
Comment 7 Mustafa Muhammad 2016-02-22 05:18:01 EST
Created attachment 1129217 [details]
File: limits
Comment 8 Mustafa Muhammad 2016-02-22 05:18:03 EST
Created attachment 1129218 [details]
File: maps
Comment 9 Mustafa Muhammad 2016-02-22 05:18:05 EST
Created attachment 1129219 [details]
File: mountinfo
Comment 10 Mustafa Muhammad 2016-02-22 05:18:07 EST
Created attachment 1129220 [details]
File: namespaces
Comment 11 Mustafa Muhammad 2016-02-22 05:18:08 EST
Created attachment 1129221 [details]
File: open_fds
Comment 12 Mustafa Muhammad 2016-02-22 05:18:10 EST
Created attachment 1129222 [details]
File: proc_pid_status
Comment 13 Mustafa Muhammad 2016-02-22 05:18:11 EST
Created attachment 1129223 [details]
File: var_log_messages
Comment 14 Mustafa Muhammad 2016-03-07 01:17:55 EST
One special thing I have about sddm, I changed the theme to Breeze, but it didn't affect it, theme didn't apply
Comment 15 Fedora End Of Life 2016-11-24 10:41:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:55:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.